all: add_person_cpp

protoc_middleman: addressbook.proto
	protoc --cpp_out=. --python_out=. addressbook.proto

add_person_cpp: add_person.cc protoc_middleman
	pkg-config --cflags protobuf  # fails if protobuf is not installed
	c++ -std=c++11 add_person.cc addressbook.pb.cc -o add_person_cpp `pkg-config --cflags --libs protobuf`

clean:
	rm -f addressbook_pb2.py addressbook.pb.cc addressbook.pb.h add_person_cpp data
	rm -rf __pycache__
